Opened 3 years ago

Closed 18 months ago

#13863 closed defect (user disappeared)

doctor mail format changed

Reported by: Sebastian Owned by: atagar
Priority: Medium Milestone:
Component: Core Tor/DocTor Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

Here's an example for an old email:

Return-Path: <tor-consensus-health-bounces@lists.torproject.org>
Delivered-To: mail@sebastianhahn.net
Received: from eugeni.torproject.org (eugeni.torproject.org [38.229.72.13])
	by sebastianhahn.net (Postfix) with ESMTPS id 7F261EE0408
	for <tor-consensus-health@sebastianhahn.net>; Thu, 13 Nov 2014 21:06:31 +0100 (CET)
Received: from eugeni.torproject.org (localhost [127.0.0.1])
	by eugeni.torproject.org (Postfix) with ESMTP id 89EC42FA58;
	Thu, 13 Nov 2014 20:06:30 +0000 (UTC)
Received: from cappadocicum.torproject.org (93-95-227-149.1984.is
 [93.95.227.149])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client CN "clientcerts/cappadocicum.torproject.org",
 Issuer "auto-ca.torproject.org" (verified OK))
 by eugeni.torproject.org (Postfix) with ESMTPS id C81AF2F60C
 for <tor-consensus-health@lists.torproject.org>;
 Thu, 13 Nov 2014 20:06:27 +0000 (UTC)
Received: by cappadocicum.torproject.org (Postfix, from userid 2063)
 id 6E547BFFBD; Thu, 13 Nov 2014 20:06:24 +0000 (UTC)
To: tor-consensus-health@lists.torproject.org
Message-Id: <20141113200624.6E547BFFBD@cappadocicum.torproject.org>
Date: Thu, 13 Nov 2014 20:06:24 +0000 (UTC)
From: doctor@cappadocicum.torproject.org (doctor role account)
Subject: [tor-consensus-health] Consensus issues
X-BeenThere: tor-consensus-health@lists.torproject.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: "auto: consensus problem system reports"
 <tor-consensus-health@lists.torproject.org>
List-Id: "auto: consensus problem system reports"
 <tor-consensus-health.lists.torproject.org>
List-Unsubscribe: <https://lists.torproject.org/cgi-bin/mailman/options/tor-consensus-health>, 
 <mailto:tor-consensus-health-request@lists.torproject.org?subject=unsubscribe>
List-Archive: <http://lists.torproject.org/pipermail/tor-consensus-health/>
List-Post: <mailto:tor-consensus-health@lists.torproject.org>
List-Help: <mailto:tor-consensus-health-request@lists.torproject.org?subject=help>
List-Subscribe: <https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-consensus-health>, 
 <mailto:tor-consensus-health-request@lists.torproject.org?subject=subscribe>
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: 7bit
Errors-To: tor-consensus-health-bounces@lists.torproject.org
Sender: "tor-consensus-health"
 <tor-consensus-health-bounces@lists.torproject.org>

WARNING: The consensuses published by the following directory authorities are more than one hour old and therefore not fresh anymore: moria1
NOTICE: Consensus fetched from maatuska was missing the following authority signatures: moria1, urras, dizum
NOTICE: Consensus fetched from tor26 was missing the following authority signatures: moria1, urras, dizum
NOTICE: Consensus fetched from urras was missing the following authority signatures: moria1, urras, dizum
NOTICE: Consensus fetched from longclaw was missing the following authority signatures: moria1, urras, dizum
NOTICE: Consensus fetched from dizum was missing the following authority signatures: moria1, urras, dizum
NOTICE: Consensus fetched from gabelmoo was missing the following authority signatures: moria1, urras, dizum
NOTICE: Consensus fetched from moria1 was missing the following authority signatures: moria1, urras, dizum
NOTICE: Consensus fetched from dannenberg was missing the following authority signatures: moria1, urras, dizum
NOTICE: Consensus fetched from Faravahar was missing the following authority signatures: moria1, urras, dizum
_______________________________________________
tor-consensus-health mailing list
tor-consensus-health@lists.torproject.org
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-consensus-health

and here it is for the new:

Return-Path: <tor-consensus-health-bounces@lists.torproject.org>
Delivered-To: mail@sebastianhahn.net
Received: from eugeni.torproject.org (eugeni.torproject.org [38.229.72.13])
	by sebastianhahn.net (Postfix) with ESMTPS id EB8B1EE0054
	for <tor-consensus-health@sebastianhahn.net>; Sun, 30 Nov 2014 01:06:49 +0100 (CET)
Received: from eugeni.torproject.org (localhost [127.0.0.1])
	by eugeni.torproject.org (Postfix) with ESMTP id AD6EA317A0;
	Sun, 30 Nov 2014 00:06:48 +0000 (UTC)
Received: from cappadocicum.torproject.org (93-95-227-149.1984.is
 [93.95.227.149])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client CN "clientcerts/cappadocicum.torproject.org",
 Issuer "auto-ca.torproject.org" (verified OK))
 by eugeni.torproject.org (Postfix) with ESMTPS id 296F120F4E;
 Sun, 30 Nov 2014 00:06:45 +0000 (UTC)
Received: from cappadocicum.torproject.org (localhost [IPv6:::1])
 by cappadocicum.torproject.org (Postfix) with ESMTP id 7B0F5C4780;
 Sun, 30 Nov 2014 00:06:41 +0000 (UTC)
MIME-Version: 1.0
From: atagar@torproject.org
To: tor-consensus-health@lists.torproject.org
Message-Id: <20141130000641.7B0F5C4780@cappadocicum.torproject.org>
Date: Sun, 30 Nov 2014 00:06:41 +0000 (UTC)
Cc: adejoode@sabotage.org
Subject: [tor-consensus-health] Consensus issues
X-BeenThere: tor-consensus-health@lists.torproject.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: "auto: consensus problem system reports"
 <tor-consensus-health@lists.torproject.org>
List-Id: "auto: consensus problem system reports"
 <tor-consensus-health.lists.torproject.org>
List-Unsubscribe: <https://lists.torproject.org/cgi-bin/mailman/options/tor-consensus-health>, 
 <mailto:tor-consensus-health-request@lists.torproject.org?subject=unsubscribe>
List-Archive: <http://lists.torproject.org/pipermail/tor-consensus-health/>
List-Post: <mailto:tor-consensus-health@lists.torproject.org>
List-Help: <mailto:tor-consensus-health-request@lists.torproject.org?subject=help>
List-Subscribe: <https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-consensus-health>, 
 <mailto:tor-consensus-health-request@lists.torproject.org?subject=subscribe>
Content-Type: multipart/mixed; boundary="===============4306264193727338330=="
Errors-To: tor-consensus-health-bounces@lists.torproject.org
Sender: "tor-consensus-health"
 <tor-consensus-health-bounces@lists.torproject.org>

--===============4306264193727338330==
Content-Type: multipart/alternative;
 boundary="===============2220354724113945927=="

--===============2220354724113945927==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit

WARNING: The consensuses published by the following directory authorities are more than one hour old and therefore not fresh anymore: dizum
NOTICE: Consensus fetched from maatuska was missing the following authority signatures: dizum
NOTICE: Consensus fetched from tor26 was missing the following authority signatures: dizum
NOTICE: Consensus fetched from urras was missing the following authority signatures: dizum
NOTICE: Consensus fetched from longclaw was missing the following authority signatures: dizum
NOTICE: Consensus fetched from dizum was missing the following authority signatures: dizum
NOTICE: Consensus fetched from gabelmoo was missing the following authority signatures: dizum
NOTICE: Consensus fetched from moria1 was missing the following authority signatures: dizum
NOTICE: Consensus fetched from dannenberg was missing the following authority signatures: dizum
NOTICE: Consensus fetched from Faravahar was missing the following authority signatures: dizum
WARNING: The following directory authorities are not reporting bandwidth scanner results: longclaw
--===============2220354724113945927==--

--===============4306264193727338330==
Content-Type: text/plain; charset="us-ascii"
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
tor-consensus-health mailing list
tor-consensus-health@lists.torproject.org
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-consensus-health

--===============4306264193727338330==--

The From changed, can that be changed back?

The line of at the bottom gets displayed in the same line as the last notification message:

NOTICE: Consensus fetched from Faravahar was missing the following authority signatures: dizum
WARNING: The following directory authorities are not reporting bandwidth scanner results: longclaw_______________________________________________
tor-consensus-health mailing list

and the nsa bot has trouble displaying the issue:

22:06:43 <+nsa> or: --===============3639030723997090833==
22:06:43 <+nsa> or: Content-Type: text/plain; charset="us-ascii"
22:06:43 <+nsa> or: MIME-Version: 1.0
22:06:45 <+nsa> or: Content-Transfer-Encoding: 7bit
22:06:47 <+nsa> or: [consensus-health] NOTICE: Consensus fetched from maatuska was missing the following authority signatures: dizum
22:06:49 <+nsa> or: [consensus-health] NOTICE: Consensus fetched from tor26 was missing the following authority signatures: dizum
22:06:51 <+nsa> or: [consensus-health] NOTICE: Consensus fetched from urras was missing the following authority signatures: dizum
22:06:53 <+nsa> or: [consensus-health] NOTICE: Consensus fetched from longclaw was missing the following authority signatures: dizum
22:06:55 <+nsa> or: [consensus-health] NOTICE: Consensus fetched from dizum was missing the following authority signatures: dizum
22:06:57 <+nsa> or: [consensus-health] NOTICE: Consensus fetched from gabelmoo was missing the following authority signatures: dizum
22:06:59 <+nsa> or: [consensus-health] NOTICE: Consensus fetched from moria1 was missing the following authority signatures: dizum
22:07:01 <+nsa> or: [consensus-health] NOTICE: Consensus fetched from dannenberg was missing the following authority signatures: dizum
22:07:03 <+nsa> or: [consensus-health] NOTICE: Consensus fetched from Faravahar was missing the following authority signatures: dizum
22:07:05 <+nsa> or: [consensus-health] WARNING: The following directory authorities are not reporting bandwidth scanner results: longclaw
22:07:07 <+nsa> or: --===============3639030723997090833==--

rather than what it used to say:

01:28 <+nsa> or: [consensus-health] ERROR: Unable to retrieve the consensus from tor26 (http://86.59.21.38:80/tor/status-vote/current/consensus): <urlopen error timed out>
01:28 <+nsa> or: [consensus-health] ERROR: Unable to retrieve the vote from tor26 (http://171.25.193.9:443/tor/status-vote/current/14C131DFC5C6F93646BE72FA1401C02A8DF2E8B4): <urlopen error timed out>
01:28 <+nsa> or: [consensus-health] NOTICE: The following directory authorities set conflicting consensus parameters: maatuska cbttestfreq=1000, gabelmoo NumDirectoryGuards=3, moria1 NumDirectoryGuards=3 cbttestfreq=1000
01:28 <+nsa> or: [consensus-health] WARNING: The certificate of the following directory authority expires within the next week: urras (2014-10-05 20-49-09)
01:28 <+nsa> or: [consensus-health] WARNING: The certificate of the following directory authority expires within the next two weeks: Faravahar (2014-10-08 01-03-59)
01:28 <+nsa> or: [consensus-health] WARNING: The following authorities are missing from the consensus: tor26

Child Tickets

Change History (2)

comment:1 Changed 21 months ago by atagar

Severity: Normal

Hi Sebastian, sorry this has gone so stupidly long without a reply. I can set the 'from' address to anything you'd like - it's just a constant in util.py. That said though, how is the 'from' address related to the 'Content-Type' and other noise in #tor-bots?

The old 'from' address (doctor@…) was rubbish. It can't receive replies so I'd rather not use it unless there's a reason to.

comment:2 Changed 18 months ago by atagar

Resolution: user disappeared
Status: newclosed
Note: See TracTickets for help on using tickets.